Fibo Edit
Entegre et
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
Fibo Edit modelini (bria/fibo-edit/edit) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.com/v1/quote/bria/fibo-edit/edit, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: $0,04 40 API kredisi Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
İlk sonucunuz burada görünecek
Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/bria/fibo-edit/edit?wait=20
fiyat → $0,04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Fibo Edit hakkında
Bir görüntüyü hassas denetimle düzenler. Girdiler arasında `image_url`, isteğe bağlı `mask_url` ve bir `instruction` veya önceden oluşturulmuş `vgl` bulunur. Alternatif olarak, farklarına göre düzenlemek için `original_vgl` ve `new_vgl` verilebilir. `steps_num` 20 ile 50 arasındadır (varsayılan 30); `guidance_scale`, `negative_prompt` ve `seed` de kullanılabilir.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
image_urlisteğe bağlı
image
mask_urlisteğe bağlı
mask
instructionisteğe bağlı
vglisteğe bağlı
vgl.short_descriptionisteğe bağlı
vgl.objectsisteğe bağlı
vgl.objects[].descriptionisteğe bağlı
vgl.objects[].locationisteğe bağlı
vgl.objects[].relationshipgerekli
vgl.objects[].relative_sizeisteğe bağlı
vgl.objects[].shape_and_coloristeğe bağlı
vgl.objects[].textureisteğe bağlı
vgl.objects[].appearance_detailsisteğe bağlı
vgl.objects[].number_of_objectsisteğe bağlı
vgl.objects[].poseisteğe bağlı
vgl.objects[].expressionisteğe bağlı
vgl.objects[].clothingisteğe bağlı
vgl.objects[].actionisteğe bağlı
vgl.objects[].genderisteğe bağlı
vgl.objects[].skin_tone_and_textureisteğe bağlı
vgl.objects[].orientationisteğe bağlı
vgl.background_settingisteğe bağlı
vgl.lightingisteğe bağlı
vgl.lighting.conditionsisteğe bağlı
vgl.lighting.directionisteğe bağlı
vgl.lighting.shadowsisteğe bağlı
vgl.aestheticsisteğe bağlı
vgl.aesthetics.compositionisteğe bağlı
vgl.aesthetics.color_schemeisteğe bağlı
vgl.aesthetics.mood_atmosphereisteğe bağlı
vgl.aesthetics.preference_scoreisteğe bağlı
vgl.aesthetics.aesthetic_scoreisteğe bağlı
vgl.photographic_characteristicsisteğe bağlı
vgl.photographic_characteristics.depth_of_fieldisteğe bağlı
vgl.photographic_characteristics.focusisteğe bağlı
vgl.photographic_characteristics.camera_angleisteğe bağlı
vgl.photographic_characteristics.lens_focal_lengthisteğe bağlı
vgl.style_mediumisteğe bağlı
vgl.text_renderisteğe bağlı
vgl.contextisteğe bağlı
vgl.artistic_styleisteğe bağlı
vgl.edit_instructionisteğe bağlı
original_vglisteğe bağlı
original_vgl.short_descriptionisteğe bağlı
original_vgl.objectsisteğe bağlı
original_vgl.objects[].descriptionisteğe bağlı
original_vgl.objects[].locationisteğe bağlı
original_vgl.objects[].relationshipgerekli
original_vgl.objects[].relative_sizeisteğe bağlı
original_vgl.objects[].shape_and_coloristeğe bağlı
original_vgl.objects[].textureisteğe bağlı
original_vgl.objects[].appearance_detailsisteğe bağlı
original_vgl.objects[].number_of_objectsisteğe bağlı
original_vgl.objects[].poseisteğe bağlı
original_vgl.objects[].expressionisteğe bağlı
original_vgl.objects[].clothingisteğe bağlı
original_vgl.objects[].actionisteğe bağlı
original_vgl.objects[].genderisteğe bağlı
original_vgl.objects[].skin_tone_and_textureisteğe bağlı
original_vgl.objects[].orientationisteğe bağlı
original_vgl.background_settingisteğe bağlı
original_vgl.lightingisteğe bağlı
original_vgl.lighting.conditionsisteğe bağlı
original_vgl.lighting.directionisteğe bağlı
original_vgl.lighting.shadowsisteğe bağlı
original_vgl.aestheticsisteğe bağlı
original_vgl.aesthetics.compositionisteğe bağlı
original_vgl.aesthetics.color_schemeisteğe bağlı
original_vgl.aesthetics.mood_atmosphereisteğe bağlı
original_vgl.aesthetics.preference_scoreisteğe bağlı
original_vgl.aesthetics.aesthetic_scoreisteğe bağlı
original_vgl.photographic_characteristicsisteğe bağlı
original_vgl.photographic_characteristics.depth_of_fieldisteğe bağlı
original_vgl.photographic_characteristics.focusisteğe bağlı
original_vgl.photographic_characteristics.camera_angleisteğe bağlı
original_vgl.photographic_characteristics.lens_focal_lengthisteğe bağlı
original_vgl.style_mediumisteğe bağlı
original_vgl.text_renderisteğe bağlı
original_vgl.contextisteğe bağlı
original_vgl.artistic_styleisteğe bağlı
original_vgl.edit_instructionisteğe bağlı
new_vglisteğe bağlı
new_vgl.short_descriptionisteğe bağlı
new_vgl.objectsisteğe bağlı
new_vgl.objects[].descriptionisteğe bağlı
new_vgl.objects[].locationisteğe bağlı
new_vgl.objects[].relationshipgerekli
new_vgl.objects[].relative_sizeisteğe bağlı
new_vgl.objects[].shape_and_coloristeğe bağlı
new_vgl.objects[].textureisteğe bağlı
new_vgl.objects[].appearance_detailsisteğe bağlı
new_vgl.objects[].number_of_objectsisteğe bağlı
new_vgl.objects[].poseisteğe bağlı
new_vgl.objects[].expressionisteğe bağlı
new_vgl.objects[].clothingisteğe bağlı
new_vgl.objects[].actionisteğe bağlı
new_vgl.objects[].genderisteğe bağlı
new_vgl.objects[].skin_tone_and_textureisteğe bağlı
new_vgl.objects[].orientationisteğe bağlı
new_vgl.background_settingisteğe bağlı
new_vgl.lightingisteğe bağlı
new_vgl.lighting.conditionsisteğe bağlı
new_vgl.lighting.directionisteğe bağlı
new_vgl.lighting.shadowsisteğe bağlı
new_vgl.aestheticsisteğe bağlı
new_vgl.aesthetics.compositionisteğe bağlı
new_vgl.aesthetics.color_schemeisteğe bağlı
new_vgl.aesthetics.mood_atmosphereisteğe bağlı
new_vgl.aesthetics.preference_scoreisteğe bağlı
new_vgl.aesthetics.aesthetic_scoreisteğe bağlı
new_vgl.photographic_characteristicsisteğe bağlı
new_vgl.photographic_characteristics.depth_of_fieldisteğe bağlı
new_vgl.photographic_characteristics.focusisteğe bağlı
new_vgl.photographic_characteristics.camera_angleisteğe bağlı
new_vgl.photographic_characteristics.lens_focal_lengthisteğe bağlı
new_vgl.style_mediumisteğe bağlı
new_vgl.text_renderisteğe bağlı
new_vgl.contextisteğe bağlı
new_vgl.artistic_styleisteğe bağlı
new_vgl.edit_instructionisteğe bağlı
seedisteğe bağlı
steps_numisteğe bağlı
negative_promptisteğe bağlı
guidance_scaleisteğe bağlı
Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- image
- object {url, content_type, file_name, file_size, width, height}Model tarafından üretilen görsel.
- images
- array of object {url, content_type, file_name, file_size, width, height}Üretimle oluşturulan görseller.
- vgl
- objectGörseli üretmek için kullanılan VGL belgesi.
- structured_instruction
- objectAynı belge için kullanımdan kaldırılmış takma ad; bunun yerine `vgl` kullanın.
Diğer Fibo Edit varyantları
Daha fazla model: Görsel Düzenleme
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/bria/fibo-edit/edit.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt






